---
title: "Get all VM groups"
slug: "get-all-vm-groups"
tags: ["Product Usage", "vIPS 10.1.10"]
updated: 2026-09-11T20:35:31Z
published: 2026-09-11T20:35:31Z
canonical: "docs.trellix.com/get-all-vm-groups"
---
> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trellix.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Get all VM groups
This URL gets all the VM groups configured in the Manager.
## Resource URL
GET /vmgroup
## Request Parameters
None
## Response Parameters
Following fields are returned in the response.
| Field Name | Description | Data Type |
| --- | --- | --- |
| success | Indicates if the GET operation is successful. Value is set to true if the GET operation is successful. Value is set to false if the GET operation is not successful. | string |
| msg | Not applicable | Not applicable |
| errMsg | Not applicable | Not applicable |
| domainName | Not applicable | Not applicable |
| data | Details of the VM groups. Each object has the details of a VM group. The value of groupId field is the Id of the VM group. You can use the groupId value to perform operations such as update, delete, and fetch for a VM group. | Array of objects |
## Example
**Request**
GET [https://%3CNSM_IP%3E/intruvert/webservice/api/v1/cloud/vmgroup](https://%3CNSM_IP%3E/intruvert/webservice/api/v1/cloud/vmgroup)
**Response**
```
{"success":true,
"msg":null,
"errMsg":null,
"domainName":null,
"data":[{"domainId":0,
"subscriberVMGroupId":0,
"groupName":"vmg1",
"description":"My vmgroup",
"clusterId":0,"clusterName":null,
"controllerId":0,
"controllerName":null,
"inspectionMode":"ips",
"updateUser":"admin",
"updateDatetime":1556020991000,
"protectedObjects":[
{"id":1,"vmgroupId":1,"type":"CIDR","value":"1.1.1.73/32"},
{"id":2,"vmgroupId":1,"type":"CIDR","value":"1.1.1.78/32"}],
"accountAccesses":null,"protectionProfileVO":null,"groupId":1}]}
```